<div class="register-user-section container">
  <!-- login section header -->

  <div class="main-title">
    <h1>
      Inscrivez-vous sur <span class="text-color--brown">Socializer.</span>
    </h1>
    <p>
      Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
      tempor incididunt ut labore et dolore magna aliqua.
    </p>
  </div>

  <form
    class="register-user-form"
    [formGroup]="registerForm"
    (ngSubmit)="onSubmit()"
  >
    <div class="row">
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="firstname">Prénom</label>
          <input
            type="text"
            name="firstname"
            formControlName="firstname"
            placeholder="Prénom"
            class="form-control"
          />
        </div>
      </div>
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="lastname">Nom</label>
          <input
            type="text"
            name="lastname"
            formControlName="lastname"
            required="required"
            placeholder="Nom"
            class="form-control"
          />
          <div *ngIf="submitted && form.lastname.errors">
            <p *ngIf="form.lastname.errors.required">please enter a lastname</p>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="email">Email</label>
          <input
            type="email"
            name="email"
            formControlName="email"
            placeholder="Email"
            class="form-control"
          />
          <div *ngIf="submitted && form.email.errors">
            <p *ngIf="form.email.errors.required">please enter a email</p>
            <p *ngIf="form.email.errors.email">it is not an email format</p>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            name="password"
            formControlName="password"
            placeholder="Mot de passe"
            class="form-control"
          />

          <div *ngIf="submitted && form.password.errors">
            <p *ngIf="form.password.errors.required">please enter a password</p>
            <p *ngIf="form.password.errors.minlength">
              is not long enough
            </p>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="adresse">adresse</label>
          <input
            type="text"
            name="adresse"
            formControlName="adresse"
            placeholder="Adresse"
            class="form-control"
          />
        </div>
      </div>
      <div class="col-md-6 col-xs-12">
        <div class="form-group">
          <label for="adresse">telephone</label>
          <input
            type="text"
            name="telephone"
            formControlName="telephone"
            placeholder="telephone"
            class="form-control"
          />
        </div>
      </div>
    </div>
    <button type="submit" class="btn btn-rounded btn-green">
      Je m'inscris
    </button>
  </form>
</div>
